<!-- 	Sised - Modulo Docentes - Funciones Docentes
		----------------------------------------------------------

		Ultima Modificación: 05 de Junio de 2012
		Por: Carlos Gerardo Galeano Flórez
-->

<?php

function GuardarPlanillaTipo4(){
	include("php/conexion-bdie.php"); 
	$iddocente=$_POST['iddocente'];
	$bdie=$_POST['bdie'];
	$planillaseleccionada=$_POST['planillaseleccionada'];
	$periodomoddocentes=$_POST['periodomoddocentes'];
	$tipoplanillaparanotas=$_POST['tipoplanillaparanotas'];
	$idgrupo=substr($planillaseleccionada,0,18);
	$idasignatura=substr($planillaseleccionada,18,20);
	$danesede=substr($idgrupo,0,14);
	$idgrado=substr($idgrupo,0,17);
	$grupito=$_POST['grupoporcentajes'];
	$programa=$_POST['programaasignatura'];
	$notaminima=1; $notamaxima=5;
	$regminmax=mysql_query("Select minbajo,maxsuperior From datos_niveles",$db_basededatosie);
	if(mysql_num_rows($regminmax)>0) {
		$registro=mysql_fetch_array($regminmax);
		$notaminima=$registro["minbajo"];	
		$notamaxima=$registro["maxsuperior"];	
	}
	$errores=0;
	$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$idgrupo' and estado='1'",$db_basededatosie);
	while ($FilaMatriculados=mysql_fetch_array($regmatriculados)){
		$nuid=$FilaMatriculados["nuid"];
		$campofallas="F".$nuid;
		$campon1="N1".$nuid;
		$campon2="N2".$nuid;
		$campon3="N3".$nuid;
		$campon4="N4".$nuid;
		$fallas=str_replace(",", ".", $_POST[$campofallas]);
		$n1=str_replace(",", ".", $_POST[$campon1]);
		$n2=str_replace(",", ".", $_POST[$campon2]);
		$n3=str_replace(",", ".", $_POST[$campon3]);
		$n4=str_replace(",", ".", $_POST[$campon4]);
		if ($fallas<0 Or $fallas>99)
			$fallas="0";          				
		if ($n1!="") {
			if ($n1<$notaminima Or $n1>$notamaxima){
				$n1="*";
				$errores=$errores+1;
			}
		}
		if ($n2!="") {
			if ($n2<$notaminima Or $n2>$notamaxima){
				$n2="*";
				$errores=$errores+1;
			}
		}
		if ($n3!="") {
			if ($n3<$notaminima Or $n3>$notamaxima){
				$n3="*";
				$errores=$errores+1;
			}
		}
		if ($n4!="") {
			if ($n4<$notaminima Or $n4>$notamaxima){
				$n4="*";
				$errores=$errores+1;
			}
		}
		if ($grupito=="A") {
			$definitiva=($n1*.25)+($n2*.5)+($n3*.2)+($n4*.05);			
		}
		elseif ($grupito=="B") {
			$definitiva=($n1*.25)+($n2*.2)+($n3*.5)+($n4*.05);			
		}
		elseif ($grupito=="C") {
			$definitiva=($n1*.5)+($n2*.25)+($n3*.20)+($n4*.05);			
		}
		else {
			$definitiva=$n1;			
		}

		$regnotas=mysql_query("Select * From datos_notastipo1 Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
		if (mysql_num_rows($regnotas)>0){
			$FilaNotaEstudiante=mysql_fetch_array($regnotas);
			if ($fallas)
				$actualiza= mysql_query("Update datos_notastipo1 Set fallas='$fallas' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
			if ($n1)
				$actualiza= mysql_query("Update datos_notastipo1 Set nota1='$n1' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
			if ($n2)
				$actualiza= mysql_query("Update datos_notastipo1 Set nota2='$n2' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
			if ($n3)
				$actualiza= mysql_query("Update datos_notastipo1 Set nota3='$n3' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
			if ($n4)
				$actualiza= mysql_query("Update datos_notastipo1 Set nota4='$n4' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
			$actualiza= mysql_query("Update datos_notastipo1 Set definitiva='$definitiva' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
		}
		else {
			if ($n1 or $n2 or $n3 or $n4)
				$guard= mysql_query("Insert Into datos_notastipo1 (nuid,idasignatura,fallas,nota1,nota2,nota3,nota4,grupo,periodo,definitiva) Values ('$nuid','$idasignatura','$fallas','$n1','$n2','$n3','$n4','$grupito','$periodomoddocentes','$definitiva')",$db_basededatosie);
		}
	}                        
	if ($errores)
		echo "<script type=\"text/javascript\">alert(\"Los datos se guardaron correctamente, pero se encontraron algunos errores. Estos se marcaron con el simbolo (*)\");</script>";
	else
		echo "<script type=\"text/javascript\">alert(\"Los datos se guardaron correctamente.\");</script>";
}


function GuardarPlanillaTipo3(){
	include("php/conexion-bdie.php"); 
	$iddocente=$_POST['iddocente'];
	$bdie=$_POST['bdie'];
	$planillaseleccionada=$_POST['planillaseleccionada'];
	$periodomoddocentes=$_POST['periodomoddocentes'];
	$tipoplanillaparanotas=$_POST['tipoplanillaparanotas'];
	$idgrupo=substr($planillaseleccionada,0,18);
	$idasignatura=substr($planillaseleccionada,18,20);
	$danesede=substr($idgrupo,0,14);
	$idgrado=substr($idgrupo,0,17);
	$programa=$_POST['programaasignatura'];
	$notaminima=1; $notamaxima=5;
	$regminmax=mysql_query("Select minbajo,maxsuperior From datos_niveles",$db_basededatosie);
	if(mysql_num_rows($regminmax)>0) {
		$registro=mysql_fetch_array($regminmax);
		$notaminima=$registro["minbajo"];	
		$notamaxima=$registro["maxsuperior"];	
	}
	$errores=0;
	$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$idgrupo' and estado='1'",$db_basededatosie);
	while ($FilaMatriculados=mysql_fetch_array($regmatriculados)){
		$nuid=$FilaMatriculados["nuid"];
		$campofallas="F".$nuid;
		$campon1="N1".$nuid;
		$campon2="N2".$nuid;
		$campon3="N3".$nuid;
		$fallas=str_replace(",", ".", $_POST[$campofallas]);
		$n1=str_replace(",", ".", $_POST[$campon1]);
		$n2=str_replace(",", ".", $_POST[$campon2]);
		$n3=str_replace(",", ".", $_POST[$campon3]);
		if ($fallas<0 Or $fallas>99)
			$fallas="0";          				
		if ($n1!="") {
			if ($n1<$notaminima Or $n1>$notamaxima){
				$n1="*";
				$errores=$errores+1;
			}
		}
		if ($n2!="") {
			if ($n2<$notaminima Or $n2>$notamaxima){
				$n2="*";
				$errores=$errores+1;
			}
		}
		if ($n3!="") {
			if ($n3<$notaminima Or $n3>$notamaxima){
				$n3="*";
				$errores=$errores+1;
			}
		}
		$regnotas=mysql_query("Select * From datos_notastipo3 Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
		if (mysql_num_rows($regnotas)>0){
			$FilaNotaEstudiante=mysql_fetch_array($regnotas);
			if ($fallas)
				$actualiza= mysql_query("Update datos_notastipo3 Set fallas='$fallas' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
			if ($n1)
				$actualiza= mysql_query("Update datos_notastipo3 Set nota1='$n1' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
			if ($n2)
				$actualiza= mysql_query("Update datos_notastipo3 Set nota2='$n2' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
			if ($n3)
				$actualiza= mysql_query("Update datos_notastipo3 Set nota3='$n3' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
		}
		else {
			if ($n1 or $n2 or $n3)
				$guard= mysql_query("Insert Into datos_notastipo3 (nuid,idasignatura,fallas,nota1,nota2,nota3,periodo) Values ('$nuid','$idasignatura','$fallas','$n1','$n2','$n3','$periodomoddocentes')",$db_basededatosie);
		}
	}                        
	if ($errores)
		echo "<script type=\"text/javascript\">alert(\"Los datos se guardaron correctamente, pero se encontraron algunos errores. Estos se marcaron con el simbolo (*)\");</script>";
	else
		echo "<script type=\"text/javascript\">alert(\"Los datos se guardaron correctamente.\");</script>";
}

function GuardarPlanillaTipo2(){
	include("php/conexion-bdie.php"); 
	$iddocente=$_POST['iddocente'];
	$bdie=$_POST['bdie'];
	$planillaseleccionada=$_POST['planillaseleccionada'];
	$periodomoddocentes=$_POST['periodomoddocentes'];
	$tipoplanillaparanotas=$_POST['tipoplanillaparanotas'];
	$idgrupo=substr($planillaseleccionada,0,18);
	$idasignatura=substr($planillaseleccionada,18,20);
	$danesede=substr($idgrupo,0,14);
	$idgrado=substr($idgrupo,0,17);
	$programa=$_POST['programaasignatura'];
	$notaminima=1; $notamaxima=100;
	$regminmax=mysql_query("Select minbajo,maxsuperior From datos_niveles",$db_basededatosie);
	if(mysql_num_rows($regminmax)>0) {
		$registro=mysql_fetch_array($regminmax);
		$notaminima=$registro["minbajo"];	
		$notamaxima=$registro["maxsuperior"];	
	}
	$errores=0;
	$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$idgrupo' and estado='1'",$db_basededatosie);
	while ($FilaMatriculados=mysql_fetch_array($regmatriculados)){
		$nuid=$FilaMatriculados["nuid"];
		$campofallas="F".$nuid;
		$campon1="N1".$nuid;
		$campon2="N2".$nuid;
		$campon3="N3".$nuid;
		$campon4="N4".$nuid;
		$campon5="N5".$nuid;
		$campon6="N6".$nuid;
		$campon7="N7".$nuid;
		$campon8="N8".$nuid;
		$campon9="N9".$nuid;
		$campon10="N10".$nuid;
		$fallas=str_replace(",", ".", $_POST[$campofallas]);
		$n1=str_replace(",", ".", $_POST[$campon1]);
		$n2=str_replace(",", ".", $_POST[$campon2]);
		$n3=str_replace(",", ".", $_POST[$campon3]);
		$n4=str_replace(",", ".", $_POST[$campon4]);
		$n5=str_replace(",", ".", $_POST[$campon5]);
		$n6=str_replace(",", ".", $_POST[$campon6]);
		$n7=str_replace(",", ".", $_POST[$campon7]);
		$n8=str_replace(",", ".", $_POST[$campon8]);
		$n9=str_replace(",", ".", $_POST[$campon9]);
		$n10=str_replace(",", ".", $_POST[$campon10]);
		if ($fallas<0 Or $fallas>99)
			$fallas="0";          				
		if ($n1!="") {
			if ($n1<$notaminima Or $n1>$notamaxima){
				$n1="*";
				$errores=$errores+1;
			}
		}
		if ($n2!="") {
			if ($n2<$notaminima Or $n2>$notamaxima){
				$n2="*";
				$errores=$errores+1;
			}
		}
		if ($n3!="") {
			if ($n3<$notaminima Or $n3>$notamaxima){
				$n3="*";
				$errores=$errores+1;
			}
		}
		if ($n4!="") {
			if ($n4<$notaminima Or $n4>$notamaxima){
				$n4="*";
				$errores=$errores+1;
			}
		}
		if ($n5!="") {
			if ($n5<$notaminima Or $n5>$notamaxima){
				$n5="*";
				$errores=$errores+1;
			}
		}
		if ($n6!="") {
			if ($n6<$notaminima Or $n6>$notamaxima){
				$n6="*";
				$errores=$errores+1;
			}
		}
		if ($n7!="") {
			if ($n7<$notaminima Or $n7>$notamaxima){
				$n7="*";
				$errores=$errores+1;
			}
		}
		if ($n8!="") {
			if ($n8<$notaminima Or $n8>$notamaxima){
				$n8="*";
				$errores=$errores+1;
			}
		}
		if ($n9!="") {
			if ($n9<$notaminima Or $n9>$notamaxima){
				$n9="*";
				$errores=$errores+1;
			}
		}
		if ($n10!="") {
			if ($n10<$notaminima Or $n10>$notamaxima){
				$n10="*";
				$errores=$errores+1;
			}
		}
		$regnotas=mysql_query("Select * From datos_notastipo2 Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
		if (mysql_num_rows($regnotas)>0){
			$FilaNotaEstudiante=mysql_fetch_array($regnotas);
			if ($fallas)
				$actualiza= mysql_query("Update datos_notastipo2 Set fallas='$fallas' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
			if ($n1)
				$actualiza= mysql_query("Update datos_notastipo2 Set n1='$n1' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
			if ($n2)
				$actualiza= mysql_query("Update datos_notastipo2 Set n2='$n2' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
			if ($n3)
				$actualiza= mysql_query("Update datos_notastipo2 Set n3='$n3' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
			if ($n4)
				$actualiza= mysql_query("Update datos_notastipo2 Set n4='$n4' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
			if ($n5)
				$actualiza= mysql_query("Update datos_notastipo2 Set n5='$n5' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
			if ($n6)
				$actualiza= mysql_query("Update datos_notastipo2 Set n6='$n6' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
			if ($n7)
				$actualiza= mysql_query("Update datos_notastipo2 Set n7='$n7' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
			if ($n8)
				$actualiza= mysql_query("Update datos_notastipo2 Set n8='$n8' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
			if ($n9)
				$actualiza= mysql_query("Update datos_notastipo2 Set n9='$n9' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
			if ($n10)
				$actualiza= mysql_query("Update datos_notastipo2 Set n10='$n10' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
		}
		else {
			if ($n1 or $n2 or $n3 or $n4 or $n5 or $n6 or $n7 or $n8 or $n9 or $n10)
				$guard= mysql_query("Insert Into datos_notastipo2 (nuid,idasignatura,fallas,n1,n2,n3,n4,n5,n6,n7,n8,n9,n10,periodo) Values ('$nuid','$idasignatura','$fallas','$n1','$n2','$n3','$n4','$n5','$n6','$n7','$n8','$n9','$n10','$periodomoddocentes')",$db_basededatosie);
		}
	}                        
	if ($errores)
		echo "<script type=\"text/javascript\">alert(\"Los datos se guardaron correctamente, pero se encontraron algunos errores. Estos se marcaron con el simbolo (*)\");</script>";
	else
		echo "<script type=\"text/javascript\">alert(\"Los datos se guardaron correctamente.\");</script>";
}

function GuardarPlanillaTipo1(){
	include("php/conexion-bdie.php"); 
	$iddocente=$_POST['iddocente'];
	$bdie=$_POST['bdie'];
	$planillaseleccionada=$_POST['planillaseleccionada'];
	$periodomoddocentes=$_POST['periodomoddocentes'];
	$tipoplanillaparanotas=$_POST['tipoplanillaparanotas'];
	$idgrupo=substr($planillaseleccionada,0,18);
	$idasignatura=substr($planillaseleccionada,18,20);
	$danesede=substr($idgrupo,0,14);
	$idgrado=substr($idgrupo,0,17);
	$programa=$_POST['programaasignatura'];
	$notaminima=1; $notamaxima=100;
	$regminmax=mysql_query("Select minbajo,maxsuperior From datos_niveles",$db_basededatosie);
	if(mysql_num_rows($regminmax)>0) {
		$registro=mysql_fetch_array($regminmax);
		$notaminima=$registro["minbajo"];	
		$notamaxima=$registro["maxsuperior"];	
	}
	$errores=0;
	if ($programa=="1") {
		$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$idgrupo' and estado='1'",$db_basededatosie);
		while ($FilaMatriculados=mysql_fetch_array($regmatriculados)){
			$nuid=$FilaMatriculados["nuid"];
			$campofallas="F".$nuid;
			$campodefinitiva="D".$nuid;
			$fallas=str_replace(",", ".", $_POST[$campofallas]);
			$definitiva=str_replace(",", ".", $_POST[$campodefinitiva]);
			if ($definitiva!="") {
				if ($fallas<0 Or $fallas>99)
					$fallas="0";
				if ($definitiva<$notaminima Or $definitiva>$notamaxima){
					$definitiva="*";
					$errores=$errores+1;
				}
				$regnotas=mysql_query("Select * From datos_notastipo1 Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
    			if (mysql_num_rows($regnotas)>0){
    				$FilaNotaEstudiante=mysql_fetch_array($regnotas);
    				$actualiza= mysql_query("Update datos_notastipo1 Set fallas='$fallas',definitiva='$definitiva' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
    				
    			}
    			else {
    				if ($definitiva)
    					$guard= mysql_query("Insert Into datos_notastipo1 (nuid,idasignatura,fallas,definitiva,periodo) Values ('$nuid','$idasignatura','$fallas','$definitiva','$periodomoddocentes')",$db_basededatosie);
    			}
    		}
		}                        
		if ($errores)
			echo "<script type=\"text/javascript\">alert(\"Los datos se guardaron correctamente, pero se encontraron algunos errores. Estos se marcaron con el simbolo (*)\");</script>";
		else
			echo "<script type=\"text/javascript\">alert(\"Los datos se guardaron correctamente.\");</script>";
	}
	else{
		$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrado='$idgrado' And idespecialidad='$programa' and estado='1'",$db_basededatosie);
		while ($FilaMatriculados=mysql_fetch_array($regmatriculados)){
			$nuid=$FilaMatriculados["nuid"];
			$campofallas="F".$nuid;
			$campodefinitiva="D".$nuid;
			$fallas=str_replace(",", ".", $_POST[$campofallas]);
			$definitiva=str_replace(",", ".", $_POST[$campodefinitiva]);
			if ($definitiva!="") {
				if ($fallas<0 Or $fallas>99)
					$fallas="0";
				if ($definitiva<$notaminima Or $definitiva>$notamaxima){
					$definitiva="*";
					$errores=$errores+1;
				}
				$regnotas=mysql_query("Select * From datos_notastipo1 Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
    			if (mysql_num_rows($regnotas)>0){
    				$FilaNotaEstudiante=mysql_fetch_array($regnotas);
    				$actualiza= mysql_query("Update datos_notastipo1 Set fallas='$fallas',definitiva='$definitiva' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
    				
    			}
    			else {
    				if ($definitiva)
    					$guard= mysql_query("Insert Into datos_notastipo1 (nuid,idasignatura,fallas,definitiva,periodo) Values ('$nuid','$idasignatura','$fallas','$definitiva','$periodomoddocentes')",$db_basededatosie);
    			}
    		}
		}                        
		if ($errores)
			echo "<script type=\"text/javascript\">alert(\"Los datos se guardaron correctamente, pero se encontraron algunos errores. Estos se marcaron con el simbolo (*)\");</script>";
		else
			echo "<script type=\"text/javascript\">alert(\"Los datos se guardaron correctamente.\");</script>";
	}
}

function GuardarPlanillaRecuperacionesTipo1(){
	include("php/conexion-bdie.php"); 
	$iddocente=$_POST['iddocente'];
	$bdie=$_POST['bdie'];
	$planillaseleccionada=$_POST['planillaseleccionada'];
	$periodorecuperaciones=$_POST['periodorecuperaciones'];
	$tipoplanillaparanotas=$_POST['tipoplanillaparanotas'];
	$idgrupo=substr($planillaseleccionada,0,18);
	$idasignatura=substr($planillaseleccionada,18,20);
	$danesede=substr($idgrupo,0,14);
	$idgrado=substr($idgrupo,0,17);
	$programa=$_POST['programaasignatura'];
	$notaminima=1; $notamaxima=100;
	$regminmax=mysql_query("Select minbajo,maxsuperior From datos_niveles",$db_basededatosie);
	if(mysql_num_rows($regminmax)>0) {
		$registro=mysql_fetch_array($regminmax);
		$notaminima=$registro["minbajo"];	
		$notamaxima=$registro["maxsuperior"];	
	}
	$errores=0;
	if ($programa=="1") {
		$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$idgrupo' and estado='1'",$db_basededatosie);
		while ($FilaMatriculados=mysql_fetch_array($regmatriculados)){
			$nuid=$FilaMatriculados["nuid"];
			$camporecuperacion="R".$nuid;
			$recuperacion=str_replace(",", ".", $_POST[$camporecuperacion]);
			if ($recuperacion!="") {
				if ($recuperacion<$notaminima Or $recuperacion>$notamaxima){
					$recuperacion="*";
					$errores=$errores+1;
				}
				$regnotas=mysql_query("Select * From datos_recuperaciones Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodorecuperaciones'",$db_basededatosie);
    			if (mysql_num_rows($regnotas)>0){
    				$FilaNotaEstudiante=mysql_fetch_array($regnotas);
    				$actualiza= mysql_query("Update datos_recuperaciones Set recuperacion='$recuperacion' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodorecuperaciones'",$db_basededatosie);
    				
    			}
    			else {
    				if ($recuperacion)
    					$guard= mysql_query("Insert Into datos_recuperaciones (nuid,idasignatura,recuperacion,periodo) Values ('$nuid','$idasignatura','$recuperacion','$periodorecuperaciones')",$db_basededatosie);
    			}
    		}
		}                        
		if ($errores)
			echo "<script type=\"text/javascript\">alert(\"Los datos se guardaron correctamente, pero se encontraron algunos errores. Estos se marcaron con el simbolo (*)\");</script>";
		else
			echo "<script type=\"text/javascript\">alert(\"Los datos se guardaron correctamente.\");</script>";
	}
	else{
		$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrado='$idgrado' And idespecialidad='$programa' and estado='1'",$db_basededatosie);
		while ($FilaMatriculados=mysql_fetch_array($regmatriculados)){
			$nuid=$FilaMatriculados["nuid"];
			$camporecuperacion="R".$nuid;
			$recuperacion=str_replace(",", ".", $_POST[$camporecuperacion]);
			if ($recuperacion!="") {
				if ($recuperacion<$notaminima Or $recuperacion>$notamaxima){
					$recuperacion="*";
					$errores=$errores+1;
				}
				$regnotas=mysql_query("Select * From datos_recuperaciones Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodorecuperaciones'",$db_basededatosie);
    			if (mysql_num_rows($regnotas)>0){
    				$FilaNotaEstudiante=mysql_fetch_array($regnotas);
    				$actualiza= mysql_query("Update datos_recuperaciones Set recuperacion='$recuperacion' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodorecuperaciones'",$db_basededatosie);
    				
    			}
    			else {
    				if ($recuperacion)
    					$guard= mysql_query("Insert Into datos_recuperaciones (nuid,idasignatura,recuperacion,periodo) Values ('$nuid','$idasignatura','$recuperacion','$periodorecuperaciones')",$db_basededatosie);
    			}
    		}
		}                        
		if ($errores)
			echo "<script type=\"text/javascript\">alert(\"Los datos se guardaron correctamente, pero se encontraron algunos errores. Estos se marcaron con el simbolo (*)\");</script>";
		else
			echo "<script type=\"text/javascript\">alert(\"Los datos se guardaron correctamente.\");</script>";
	}
}

function GuardarAsignarFrases(){
	include("php/conexion-bdie.php"); 
	$iddocente=$_POST['iddocente'];
	$bdie=$_POST['bdie'];
	$planillaseleccionada=$_POST['planillaseleccionada'];
	$periodomoddocentes=$_POST['periodomoddocentes'];
	$tipoplanillaparanotas=$_POST['tipoplanillaparanotas'];
	$idgrupo=substr($planillaseleccionada,0,18);
	$idasignatura=substr($planillaseleccionada,18,20);
	$danesede=substr($idgrupo,0,14);
	$idgrado=substr($idgrupo,0,17);
	$programa=$_POST['programaasignatura'];
	if ($programa=="1") {
		$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$idgrupo' and estado='1'",$db_basededatosie);
		while ($FilaMatriculados=mysql_fetch_array($regmatriculados)){
			$nuid=$FilaMatriculados["nuid"];
			$estudianteseleccionado="S".$nuid;
			$estado=$_POST[$estudianteseleccionado];
			if ($estado) {	
				$accionseleccionada=$_POST['accionseleccionada'];
				if ($accionseleccionada=="1"){						
					$frasesseleccionadas=$_POST['frases'];
					for($i=0; $i < count($frasesseleccionadas); $i++){	
						$idfrase=$frasesseleccionadas[$i];
						$regfrasesestudiante=mysql_query("Select * From datos_frasesestudiante Where nuid='$nuid' And idasignatura='$idasignatura' And idfrase='$idfrase' And periodo='$periodomoddocentes'",$db_basededatosie);
        				if (mysql_num_rows($regfrasesestudiante)==0){
							$guard= mysql_query("Insert Into datos_frasesestudiante (nuid,idasignatura,idfrase,periodo) Values ('$nuid','$idasignatura','$idfrase','$periodomoddocentes')",$db_basededatosie);
						}
					}
				}
				else {
					$regfrasesestudiante=mysql_query("Select * From datos_frasesestudiante Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
					while ($FilaFrase=mysql_fetch_array($regfrasesestudiante)){
						mysql_query("Delete From datos_frasesestudiante Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
					}
				}
			}
		}
		echo "<script type=\"text/javascript\">alert(\"Las frases se guardaron correctamente.\");</script>";
	}
	else{
		$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrado='$idgrado' And idespecialidad='$programa' and estado='1'",$db_basededatosie);
		while ($FilaMatriculados=mysql_fetch_array($regmatriculados)){
			$nuid=$FilaMatriculados["nuid"];
			$estudianteseleccionado="S".$nuid;
			$estado=$_POST[$estudianteseleccionado];
			if ($estado) {	
				$accionseleccionada=$_POST['accionseleccionada'];
				if ($accionseleccionada=="1"){						
					$frasesseleccionadas=$_POST['frases'];
					for($i=0; $i < count($frasesseleccionadas); $i++){	
						$idfrase=$frasesseleccionadas[$i];
						$regfrasesestudiante=mysql_query("Select * From datos_frasesestudiante Where nuid='$nuid' And idasignatura='$idasignatura' And idfrase='$idfrase' And periodo='$periodomoddocentes'",$db_basededatosie);
        				if (mysql_num_rows($regfrasesestudiante)==0){
							$guard= mysql_query("Insert Into datos_frasesestudiante (nuid,idasignatura,idfrase,periodo) Values ('$nuid','$idasignatura','$idfrase','$periodomoddocentes')",$db_basededatosie);
						}
					}
				}
				else {
					$regfrasesestudiante=mysql_query("Select * From datos_frasesestudiante Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
					while ($FilaFrase=mysql_fetch_array($regfrasesestudiante)){
						mysql_query("Delete From datos_frasesestudiante Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
					}
				}
			}
		}
		echo "<script type=\"text/javascript\">alert(\"Las frases se guardaron correctamente.\");</script>";
	}
}

function GuardarFrases(){
	include("php/conexion-bdie.php"); 
	$iddocente=$_POST['iddocente'];
	$bdie=$_POST['bdie'];
	$planillaseleccionada=$_POST['planilla'];
	$idgrupo=substr($planillaseleccionada,0,18);
	$idasignatura=substr($planillaseleccionada,18,20);	
	$codigoasignatura=substr($idasignatura,17,3);
	$tipofrase=$_POST['tipofrase'];
	$consecutivofrases=101;
	$regfrases=mysql_query("Select idfrase From datos_frases Where idgrupo='$idgrupo' And idasignatura='$idasignatura' And tipofrase='$tipofrase' order by idfrase",$db_basededatosie);
    while ($FilaFrase=mysql_fetch_array($regfrases)){
    	$idfrase=$FilaFrase["idfrase"];
		$frase=$_POST[$idfrase];
		if ($frase!="Campo disponible para una frase...")
			$actualiza= mysql_query("Update datos_frases Set frase='$frase' Where idfrase='$idfrase'",$db_basededatosie);
		if ($frase=="")
			$actualiza= mysql_query("Update datos_frases Set frase='Campo disponible para una frase...' Where idfrase='$idfrase'",$db_basededatosie);
	}
	echo "<script type=\"text/javascript\">alert(\"Las frases se guardaron correctamente.\");</script>";
}

function MigrarFrases(){
	include("php/conexion-bdie.php"); 
	$iddocente=$_POST['iddocente'];
	$bdie=$_POST['bdie'];
	$planillaseleccionada=$_POST['planilla'];
	$idgrupo=substr($planillaseleccionada,0,18);
	$regasigdocente=mysql_query("Select * From datos_asignaturasdocentes Where iddocente='$iddocente' order by idasignatura",$db_basededatosie);
	while ($FilaAsignatura=mysql_fetch_array($regasigdocente)){
		$idgrupo=$FilaAsignatura["idgrupo"];
		$idasignatura=$FilaAsignatura["idasignatura"];
		$gruposeleccionado=$idgrupo.$idasignatura;
		$danesede=substr($gruposeleccionado,0,14);
		$estado=$_POST[$gruposeleccionado];
		if ($estado) {	
			$frasesseleccionadas=$_POST['frases'];
			for($i=0;$i<count($frasesseleccionadas);$i++){	
				$idfraseseleccionada=substr($frasesseleccionadas[$i],0,25);
				$fraseseleccionada=substr($frasesseleccionadas[$i],25,255);
				$numfraseseleccionada=substr($frasesseleccionadas[$i],21,4);
				$nuevaidfrase=$idgrupo.substr($idasignatura,17,3).$numfraseseleccionada;
				$regfrases=mysql_query("Select frase From datos_frases Where idfrase='$nuevaidfrase'",$db_basededatosie);
				if (mysql_num_rows($regfrases)>0){
					$actualiza= mysql_query("Update datos_frases Set frase='$fraseseleccionada' Where idfrase='$nuevaidfrase'",$db_basededatosie);
				}
				else {
        			$consecutivofrases=101;
                	for ($j=1;$j<100;$j++){ 
                		$tipofrase=substr($frasesseleccionadas[$i],21,1);
                		$idfrase=$idgrupo.substr($idasignatura,17,3).$tipofrase.$consecutivofrases;
                		$frase="Campo disponible para una frase...";
                		$guard= mysql_query("Insert Into datos_frases (idfrase,danesede,idgrupo,idasignatura,frase,tipofrase) Values ('$idfrase','$danesede','$idgrupo','$idasignatura','$frase','$tipofrase')",$db_basededatosie);
                		$consecutivofrases=$consecutivofrases+1; 
                	}
                	$actualiza= mysql_query("Update datos_frases Set frase='$fraseseleccionada' Where idfrase='$nuevaidfrase'",$db_basededatosie);
				}
			}
		}
	}
	echo "<script type=\"text/javascript\">alert(\"Las frases se Migraron correctamente.\");</script>";
}

function GuardarFrasesSHS(){
	include("php/conexion-bdie.php"); 
	$iddocente=$_POST['iddocente'];
	$bdie=$_POST['bdie'];
	$planillaseleccionada=$_POST['planilla'];
	$idgrupo=substr($planillaseleccionada,0,18);
	$idasignatura=substr($planillaseleccionada,18,20);	
	$codigoasignatura=substr($idasignatura,17,3);
	$tipofrase=$_POST['tipofrase'];
	$consecutivofrases=101;
	$regfrases=mysql_query("Select idfrase From datos_saberhacerser Where idgrupo='$idgrupo' And idasignatura='$idasignatura' And tipofrase='$tipofrase' order by idfrase",$db_basededatosie);
    while ($FilaFrase=mysql_fetch_array($regfrases)){
    	$idfrase=$FilaFrase["idfrase"];
		$frase=$_POST[$idfrase];
		if ($frase!="Campo disponible para una frase...")
			$actualiza= mysql_query("Update datos_saberhacerser Set frase='$frase' Where idfrase='$idfrase'",$db_basededatosie);
		if ($frase=="")
			$actualiza= mysql_query("Update datos_saberhacerser Set frase='Campo disponible para una frase...' Where idfrase='$idfrase'",$db_basededatosie);
	}
	echo "<script type=\"text/javascript\">alert(\"Las frases se guardaron correctamente.\");</script>";
}

function GuardarObservaciones(){
	include("php/conexion-bdie.php"); 
	$iddocente=$_POST['iddocente'];
	$bdie=$_POST['bdie'];
	$planillaseleccionada=$_POST['planillaseleccionada'];
	$periodomoddocentes=$_POST['periodomoddocentes'];
	$tipoplanillaparanotas=$_POST['tipoplanillaparanotas'];
	$idgrupo=substr($planillaseleccionada,0,18);
	$idasignatura=substr($planillaseleccionada,18,20);
	$danesede=substr($idgrupo,0,14);
	$idgrado=substr($idgrupo,0,17);
	$programa=$_POST['programaasignatura'];
	$notaminima=1; $notamaxima=100;
	$regminmax=mysql_query("Select minbajo,maxsuperior From datos_niveles",$db_basededatosie);
	if(mysql_num_rows($regminmax)>0) {
		$registro=mysql_fetch_array($regminmax);
		$notaminima=$registro["minbajo"];	
		$notamaxima=$registro["maxsuperior"];	
	}
	$errores=0;
	$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$idgrupo' and estado='1'",$db_basededatosie);
	while ($FilaMatriculados=mysql_fetch_array($regmatriculados)){
		$nuid=$FilaMatriculados["nuid"];
		$campoobserv="O".$nuid;
		$observaciones=$_POST[$campoobserv];
		if ($observaciones!="") {
			$regobserv=mysql_query("Select * From datos_observaciones Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
			if (mysql_num_rows($regobserv)>0){
				$actualiza= mysql_query("Update datos_observaciones Set observacion='$observaciones' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodomoddocentes'",$db_basededatosie);
			}
			else {
				$guard= mysql_query("Insert Into datos_observaciones (nuid,idasignatura,observacion,periodo) Values ('$nuid','$idasignatura','$observaciones','$periodomoddocentes')",$db_basededatosie);
			}
		}
	}                        
	echo "<script type=\"text/javascript\">alert(\"Las Observaciones se actualizaron correctamente.\");</script>";	
}


?>